/* This is the master stylesheet for the MWSU ACM Student Chapter Website*/

body {
	display: flex;			/* Using flex to control the footer on the screen*/
	flex-direction: column;
	height: 100vh;
}


/* Header section */
.header {
    padding: 2rem 1rem;
    margin-bottom: 2rem;
    background-color: #475f74;
    border-radius: 0.3rem;
    display:inline-block;
    width: 100%;
}
  
@media (min-width: 576px) {
	.header {
   		padding: 4rem 2rem;
   	}
}
/* End Header Section */


/* Main Section */
main {
	font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
	font-size: 18px;
	flex: 1 0 auto;
}
/* End Main Section */



/* Footer Section */
.footer {
	text-align: center;
    background-color: #475f74;
    border-radius: 0.3rem;
	width: 100%;
	flex-shrink: 0;	/* Prevents browser from shrinking the items 
					   on the page smaller then default minimum size */
}
  
@media (min-width: 576px) {
	.footer {
		padding: 4rem 2rem;
	}
}
/* End Footer Section */
